globjects::CompositeStringSource Class Reference

`#include <globjects/include/globjects/base/CompositeStringSource.h>`

Inheritance diagram for globjects::CompositeStringSource:

## Public Member Functions

| CompositeStringSource ()
| CompositeStringSource (const std::vector< AbstractStringSource *> &sources)
void | appendSource (AbstractStringSource *source)
virtual std::string | string () const override
virtual std::vector< std::string > | strings () const override
virtual void | flattenInto (std::vector< const AbstractStringSource *> &vector) const override
virtual std::string | shortInfo () const override
Public Member Functions inherited from globjects::AbstractStringSource
std::vector< const AbstractStringSource * > | flatten () const
Public Member Functions inherited from globjects::Referenced
| Referenced ()
void | ref () const
void | unref () const
int | refCounter () const
Public Member Functions inherited from globjects::HeapOnly
| HeapOnly ()
void | destroy () const
Public Member Functions inherited from globjects::Changeable
void | changed () const
void | registerListener (ChangeListener *listener)
void | deregisterListener (ChangeListener *listener)

## Protected Member Functions

virtual | ~CompositeStringSource ()
virtual void | notifyChanged (const Changeable *changeable) override
void | update () const
Protected Member Functions inherited from globjects::Referenced
virtual | ~Referenced ()
Protected Member Functions inherited from globjects::HeapOnly
virtual | ~HeapOnly ()
Protected Member Functions inherited from globjects::ChangeListener
virtual | ~ChangeListener ()

## Protected Attributes

std::vector< ref_ptr< AbstractStringSource > > | m_sources
bool | m_dirty
std::vector< std::string > | m_strings

## Constructor & Destructor Documentation

## CompositeStringSource() [1/2]

globjects::CompositeStringSource::CompositeStringSource | ( |  | ) |

## CompositeStringSource() [2/2]

globjects::CompositeStringSource::CompositeStringSource | ( | const std::vector< AbstractStringSource *> & | sources | ) |

## ~CompositeStringSource()

virtual globjects::CompositeStringSource::~CompositeStringSource | ( |  | ) |

protected virtual

## Member Function Documentation

## appendSource()

void globjects::CompositeStringSource::appendSource | ( | AbstractStringSource * | source | ) |

## string()

virtual std::string globjects::CompositeStringSource::string | ( |  | ) | const

override virtual

Implements globjects::AbstractStringSource.

## strings()

virtual std::vector<std::string> globjects::CompositeStringSource::strings | ( |  | ) | const

override virtual

Reimplemented from globjects::AbstractStringSource.

## flattenInto()

virtual void globjects::CompositeStringSource::flattenInto | ( | std::vector< const AbstractStringSource *> & | vector | ) | const

override virtual

Reimplemented from globjects::AbstractStringSource.

## shortInfo()

virtual std::string globjects::CompositeStringSource::shortInfo | ( |  | ) | const

override virtual

Reimplemented from globjects::AbstractStringSource.

## notifyChanged()

virtual void globjects::CompositeStringSource::notifyChanged | ( | const Changeable * | changeable | ) |

override protected virtual

Reimplemented from globjects::ChangeListener.

## update()

void globjects::CompositeStringSource::update | ( |  | ) | const

protected

## Member Data Documentation

## m_sources

std::vector<ref_ptr<AbstractStringSource> > globjects::CompositeStringSource::m_sources

protected

## m_dirty

bool globjects::CompositeStringSource::m_dirty

mutable protected

## m_strings

std::vector<std::string> globjects::CompositeStringSource::m_strings

mutable protected

The documentation for this class was generated from the following file:

- CompositeStringSource.h